/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: src/drivers/common/ftgl/lib/FTGlyph.cpp

*/

#include    "FTGlyph.h"


FTGlyph::FTGlyph( FT_GlyphSlot glyph, bool useList)
:   useDisplayList(useList),
    err(0)  
{
    if( glyph)
    {
        bBox = FTBBox( glyph);
        advance = FTPoint( glyph->advance.x / 64.0f, glyph->advance.y / 64.0f, 0.0f);
    }
}


FTGlyph::~FTGlyph()
{}
